# -*- coding: utf-8 -*-

import _common

class Gun(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'skinList',
                'desc': '获取枪械皮肤列表',
                'group': 'Gun',
                'url': 'webapp/index.php?c=Gun&a=skinList',
                'params': [
                    _common.ReqHead(),
                ],
                'response': [
                    _common.RspHead(),
                    ['!skin_list', [_common.GunSkin()], '枪械皮肤列表']
                ]
            },
            {
                'name': 'talentList',
                'desc': '获取枪械天赋列表',
                'group': 'Gun',
                'url': 'webapp/index.php?c=Gun&a=talentList',
                'params': [
                    _common.ReqHead(),
                ],
                'response': [
                    _common.RspHead(),
                    ['!talent_list', [_common.GunTalent()], '枪械天赋列表']
                ]
            },
            {
                'name': 'upgradeTalentLv',
                'desc': '升级枪械天赋等级',
                'group': 'Gun',
                'url': 'webapp/index.php?c=Gun&a=upgradeTalentLv',
                'params': [
                    _common.ReqHead(),
                    ['talent_id', 0, '天赋id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },
            {
                'name': 'gunList',
                'desc': '获取枪械列表',
                'group': 'Gun',
                'url': 'webapp/index.php?c=Gun&a=gunList',
                'params': [
                    _common.ReqHead(),
                ],
                'response': [
                    _common.RspHead(),
                    ['!gun_list', [_common.Gun()], '枪械列表']
                ]
            },
            {
                'name': 'upgradeLevel',
                'desc': '升等级',
                'group': 'Gun',
                'url': 'webapp/index.php?c=Gun&a=upgradeLevel',
                'params': [
                    _common.ReqHead(),
                    ['gun_uniid', 0, '枪械唯一id'],
                    ['cost_item_id', 0, '支付方式'],
                ],
                'response': [
                    _common.RspHead(),
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },
            {
                'name': 'upgradeQuality',
                'desc': '升阶',
                'group': 'Gun',
                'url': 'webapp/index.php?c=Gun&a=upgradeQuality',
                'params': [
                    _common.ReqHead(),
                    ['gun_uniid', 0, '枪械唯一id'],
                    ['cost_item_id', 0, '支付方式'],
                ],
                'response': [
                    _common.RspHead(),
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },
        ]
